Subject: bug#34569: 26.1.90; Zero wide scroll bars

From: martin rudalics <[email-masked]>
Date: Mon, 25 Feb 2019 11:13:13 +0100

>> You didn't answer that question:
 >>
 >>   > Note that x_report_frame_params inserts the
 >>   > zero value automatically via
 >>   >
 >>   >   store_in_alist (alistptr, Qscroll_bar_width,
 >>   >           (! FRAME_HAS_VERTICAL_SCROLL_BARS (f)
 >>   >            ? make_fixnum (0)
 >>   >            : FRAME_CONFIG_SCROLL_BAR_WIDTH (f) > 0
 >>   >            ? make_fixnum (FRAME_CONFIG_SCROLL_BAR_WIDTH (f))
 >>   >            /* nil means "use default width"
 >>   >               for non-toolkit scroll bar.
 >>   >               ruler-mode.el depends on this.  */
 >>   >            : Qnil));
 >>   >
 >>   > What should we use instead?
 >
 > I thought I did.  Maybe I didn't understand what exactly you are
 > asking.

I wanted to know which value to assign when a frame does not have
vertical scroll bars.  We could try with

   store_in_alist (alistptr, Qscroll_bar_width,
		  (FRAME_CONFIG_SCROLL_BAR_WIDTH (f) > 0
		   ? make_fixnum (FRAME_CONFIG_SCROLL_BAR_WIDTH (f))
		   /* nil means "use default width"
		      for non-toolkit scroll bar.
		      ruler-mode.el depends on this.  */
		   : Qnil));

but I'm not sure whether that's what you meant.

martin